curl --request GET \
--url https://openapi.tcbs.com.vn/khronos/v1/order/in-day \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/khronos/v1/order/in-day"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/khronos/v1/order/in-day', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/khronos/v1/order/in-day",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/khronos/v1/order/in-day"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/khronos/v1/order/in-day")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/khronos/v1/order/in-day")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"rc": "<string>",
"data": [
{}
],
"data[].orderNo": "<string>",
"data[].pk_orderNo": "<string>",
"data[].side": "<string>",
"data[].symbol": "<string>",
"data[].volume": 123,
"data[].showPrice": "<string>",
"data[].matchVolume": 123,
"data[].status": "<string>",
"data[].isCancel": "<string>",
"data[].isAmend": "<string>"
}Get normal order book (derivative)
Query the derivative normal order book.
curl --request GET \
--url https://openapi.tcbs.com.vn/khronos/v1/order/in-day \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/khronos/v1/order/in-day"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/khronos/v1/order/in-day', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/khronos/v1/order/in-day",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/khronos/v1/order/in-day"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/khronos/v1/order/in-day")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/khronos/v1/order/in-day")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"rc": "<string>",
"data": [
{}
],
"data[].orderNo": "<string>",
"data[].pk_orderNo": "<string>",
"data[].side": "<string>",
"data[].symbol": "<string>",
"data[].volume": 123,
"data[].showPrice": "<string>",
"data[].matchVolume": 123,
"data[].status": "<string>",
"data[].isCancel": "<string>",
"data[].isAmend": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Custody account number.
Page number.
Page size.
Filter: ALL,ALL = all; VN30F2303,B = by symbol; ALL,B = by L/S.
Filter order type: '' = all, 3 = Arbitrage, 4 = SL/TP, 5 = ForceClose, 6 = Normal. Bộ lọc loại lệnh thường phái sinh: chuỗi rỗng = tất cả, 3 = Arbitrage, 4 = SL/TP, 5 = ForceClose, 6 = lệnh thường.
, 3, 4, 5, 6 0 = all, 1 = waiting, 2 = matched. Bộ lọc trạng thái lệnh phái sinh: 0 = tất cả, 1 = chờ khớp/chờ kích hoạt, 2 = đã khớp/đã kích hoạt, 3 = từ chối.
0, 1, 2, 3 Order ref ID.
Response
Successful response
Result code, 1 = success.
List of normal orders.
Order number.
Order key.
B = Long, S = Short.
Contract code.
Order volume.
Order price.
Matched volume.
Order status.
0 = cannot cancel, 1 = can cancel.
0 = cannot amend, 1 = can amend.